|  | Home | Documentation | SOAP_ENV__Reason Struct Reference updated by Robert van Engelen |

SOAP_ENV__Reason Struct Reference

`#include <addressStub.h>`

## Public Member Functions

long | soap_type () const
| SOAP_ENV__Reason ()

## Public Attributes

char * | SOAP_ENV__Text

## Friends

SOAP_FMAC1 SOAP_ENV__Reason *SOAP_FMAC2 | address_instantiate_SOAP_ENV__Reason (struct soap *, int, const char *, const char *, size_t *)

## Detailed Description

Definition at line 225 of file addressStub.h.

## Constructor & Destructor Documentation

## ◆ SOAP_ENV__Reason()

SOAP_ENV__Reason::SOAP_ENV__Reason | ( |  | ) |

inline

Constructor with member initializations

Definition at line 233 of file addressStub.h.

## Member Function Documentation

## ◆ soap_type()

long SOAP_ENV__Reason::soap_type | ( |  | ) | const

inline

Return unique type id SOAP_TYPE_SOAP_ENV__Reason

Definition at line 231 of file addressStub.h.

## Friends And Related Symbol Documentation

## ◆ address_instantiate_SOAP_ENV__Reason

SOAP_FMAC1 SOAP_ENV__Reason *SOAP_FMAC2 address_instantiate_SOAP_ENV__Reason | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * | )

friend

Friend allocator

## Member Data Documentation

## ◆ SOAP_ENV__Text

char* SOAP_ENV__Reason::SOAP_ENV__Text

Optional element 'SOAP-ENV:Text' of XML schema type 'xsd:string'

Definition at line 228 of file addressStub.h.

The documentation for this struct was generated from the following file:

- addressStub.h